Problema al actualizar XFCE Debian Wheezy

Instalación, configuracion y manejo de escritorios y entornos gráficos como Xfce, Fluxbox, Enlightenment, Window Maker, etc..
Responder
Thunderboy
Forista Nuevo
Forista Nuevo
Mensajes: 1
Registrado: Lun Sep 16, 2013 9:45 pm

Problema al actualizar XFCE Debian Wheezy

Mensaje por Thunderboy » Lun Sep 16, 2013 9:51 pm

Buenas tardes gente de la comu, mi problema es el siguiente, tengo debian wheezy y eh agregado un repositorio para actualizar a la ultima version el XFCE, el link desde donde me fije para hacerlo es este http://is.gd/350VV1 bien cuando hice eso hace tiempo estuvo todo bien, pero hace unos dias no puedo actualizar y hay una actualizacion que tengo retenida, si hago un apt-get update no me actualiza, pero si hago un aptitude dist-upgrade su lo haria, pero no se como seguir ya que me hace una serie de propuestas que no se que ponerle, no quiero romper a mi debian asi que por eso consulto en la comu.

http://pastebin.com/RMyektBA

Esto es lo que me sale, si pongo Y no se que pasara, pero supongo que se pudre todo y si pongo N me dice lo siguiente

http://pastebin.com/a3wN12pH

Que recomiendan?
Avatar de Usuario
doc
Forista Ancestral
Forista Ancestral
Mensajes: 3256
Registrado: Mié Ago 11, 2010 10:32 am
Ubicación: Oviedo-es_ES
Contactar:

Re: Problema al actualizar XFCE Debian Wheezy

Mensaje por doc » Lun Sep 16, 2013 10:14 pm

dos cuestiones: una, si eres 'debianita' deberías saber que en Debian priva más la solidez y estabilidad del sistema que la 'versionitis'. Si te gusta tener las últimas versiones, en Debian se suele ir más despacio, y podrías tener problemas con las dependencias si te mueves por Sid (unstable). Pásate, por ejemplo, a Manjaro, o instala Siduction, que (creo que...) es una distro derivada de Debian, más ajustada para usar paquetes de la rama Sid

Y segunda: es importante que, si temes hacer cosas que te 'pudra' el sistema, uses Clonezilla Live para crearte una imagen de la partición root (/) antes de hacerlas, y así siempre podrás dar 'el paso a atrás', restaurando el sistema a la situación anterior.
Avatar de Usuario
cuentos
Forista Distinguido
Forista Distinguido
Mensajes: 1088
Registrado: Mar May 03, 2011 7:09 am

Re: Problema al actualizar XFCE Debian Wheezy

Mensaje por cuentos » Mar Sep 17, 2013 3:39 am

Según se ve y viendo la liga que pusiste.

Código: Seleccionar todo

sudo gedit /etc/apt/sources.list
Al final agregamos estos repositorios:

Código: Seleccionar todo

deb http://packages.siduction.org/xfcenext unstable main
deb-src http://packages.siduction.org/xfcenext unstable main
sudo apt-get update
Y sigue......
En lo que se, es uno de los peores errores el de agregar repositorios de ramas diferentes. Agregaste la rama experimental a tu entorno que es el estable.
Si sabes hacerlo tienes que hacer un sistema mixto, y tener tu preferences etc....
Al final acabaste con un sistema de dependencias rotos. Algo muy arriesgado, y que tarde o temprano acabo por romper las dependencias.
Se me hace raro. Esta pagina yo la seguía pero desde que la bajaron le perdi la vista, ahora con este post la rencuentro, y mirándola veo que hay varios artículos mas o menos de lo mismo, lo de agregar y mezclar repositorios de diferentes versiones.
Última edición por cuentos el Mar Sep 17, 2013 3:42 am, editado 1 vez en total.
Cuando mi maestro me reprendió, me dijo: Alejandro Magno a los 20 años conquistaba el mundo, Yo le conteste "si pero tenia de maestro a Aristóteles".
Twitter: @mcuentos
Avatar de Usuario
enriquehh
Forista Distinguido
Forista Distinguido
Mensajes: 1337
Registrado: Sab Dic 08, 2007 8:00 am

Re: Problema al actualizar XFCE Debian Wheezy

Mensaje por enriquehh » Mar Sep 17, 2013 3:40 am

Hola, parece que has puesto un repositorio de una distro que usa los paquetes de debian Sid, por ende te recomiendo que elimines dicho repositorio, debido a que Debian sid usa paquetes muy nuevos y que pueden tener errores, es más parece que este repositorio ya esta afectando a tu sistema porque no se satisfacen adecuadamente las dependencias.

Si quieres usar xfce 4.10 puedes usar Debian testing o puedes usar una combinación entre Debian testing y Debian estable (esto ultimo es recomendable siempre y cuando sepas manejar adecuadamente dicha combinación).

Saludos
Responder
  • Similar Topics
    Respuestas
    Vistas
    Último mensaje